<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSyntax.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.DocBook.Syntax.CxxSyntax</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Formatters.html" >Formatters</a>.<a href="../../DocBook.html" >DocBook</a>.<a href="../Syntax.html" >Syntax</a>
</div><div class="class-name">class CxxSyntax

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Formatters/DocBook/Syntax.py.html" target="detail">../Synopsis/Formatters/DocBook/Syntax.py</a></div> <div class="xref"><a href="../../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Syntax.CxxSyntax" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line103" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="CxxSyntax-inheritance" src="CxxSyntax-inheritance.png" hspace="8" vspace="8" border="0" usemap="#CxxSyntax-inheritance_map" />
<map name="CxxSyntax-inheritance_map"><area alt="Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSummarySyntax.html" href="CxxSummarySyntax.html" shape="rect" coords="5, 156, 357, 180" />
<area alt="Scopes/Synopsis/Processors/TypedefFolder/TypedefFolder.html" href="../../../Processors/TypedefFolder/TypedefFolder.html" shape="rect" coords="381, 156, 688, 180" />
<area alt="Scopes/Synopsis/Formatters/HTML/Markup/Javadoc/Javadoc.html" href="../../HTML/Markup/Javadoc/Javadoc.html" shape="rect" coords="712, 156, 1029, 180" />
<area alt="Scopes/Synopsis/Formatters/SXR/SXRIndex.html" href="../../SXR/SXRIndex.html" shape="rect" coords="1053, 156, 1283, 180" />
<area alt="Scopes/Synopsis/Formatters/DocBook/Syntax/CxxDetailSyntax.html" href="CxxDetailSyntax.html" shape="rect" coords="1307, 156, 1637, 180" />
<area alt="Scopes/Synopsis/Formatters/DocBook/Syntax/Syntax.html" href="Syntax.html" shape="rect" coords="565, 7, 840, 31" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_function">visit_function</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_function" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line105" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_parameter">visit_parameter</a>(<span class="variable">self</span>, <span class="variable">parameter</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_parameter" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line113" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_typedef">visit_typedef</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_typedef" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line122" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_variable">visit_variable</a>(<span class="variable">self</span>, <span class="variable">variable</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_variable" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line126" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_const">visit_const</a>(<span class="variable">self</span>, <span class="variable">const</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_const" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line129" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_builtin_type_id">visit_builtin_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_builtin_type_id" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line132" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_unknown_type_id">visit_unknown_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_unknown_type_id" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line133" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_declared_type_id">visit_declared_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_declared_type_id" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line134" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_modifier_type_id">visit_modifier_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_modifier_type_id" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line135" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_array_type_id">visit_array_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_array_type_id" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line140" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_template_id">visit_template_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_template_id" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line144" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_parametrized_type_id">visit_parametrized_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_parametrized_type_id" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line146" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_function_type_id">visit_function_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_function_type_id" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line151" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_dependent_type_id">visit_dependent_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_dependent_type_id" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line156" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Attributes Inherited from Syntax">
<tr><td colspan="2" class="heading">Attributes Inherited from Syntax</td></tr>
<tr><td class="inherited"><a href="Syntax.html#output" title="attribute Syntax.output">output</a></td></tr></table>
<table width="100%" summary="Methods Inherited from Syntax">
<tr><td colspan="2" class="heading">Methods Inherited from Syntax</td></tr>
<tr><td class="inherited"><a href="Syntax.html#__init__" title="method Syntax.__init__">__init__</a>,
<a href="Syntax.html#finish" title="method Syntax.finish">finish</a>,
<a href="Syntax.html#typeid" title="method Syntax.typeid">typeid</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:00 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
